org.fourthline.cling.support.messagebox.parser

## Class MessageDOM

- java.lang.Object
- - org.seamless.xml.DOM
  - - org.fourthline.cling.support.messagebox.parser.MessageDOM

-     public class MessageDOM
      extends org.seamless.xml.DOM

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAMESPACE_URI`

    - ### Fields inherited from class org.seamless.xml.DOM

      `CDATA_BEGIN, CDATA_END, XML_SCHEMA_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageDOM(Document dom)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageDOM` | `copy()`
    `MessageElement` | `createRoot(XPath xpath, String element)`
    `MessageElement` | `getRoot(XPath xPath)`
    `String` | `getRootElementNamespace()`

    - ### Methods inherited from class org.seamless.xml.DOM

      `createRoot, getW3CDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE_URI

          public static final String NAMESPACE_URI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageDOM

          public MessageDOM(Document dom)

  - ### Method Detail

    - #### getRootElementNamespace

          public String getRootElementNamespace()

      Specified by:
        `getRootElementNamespace` in class `org.seamless.xml.DOM`

    - #### getRoot

          public MessageElement getRoot(XPath xPath)

      Specified by:
        `getRoot` in class `org.seamless.xml.DOM`

    - #### copy

          public MessageDOM copy()

      Specified by:
        `copy` in class `org.seamless.xml.DOM`

    - #### createRoot

          public MessageElement createRoot(XPath xpath,
                                           String element)

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.